<template>
  <div>
    <specialist-plan v-if="clientType === 'SPECIALIST'" />
    <client-plan v-if="clientType === 'CLIENT'" />
  </div>
</template>

<script>
import SubscriptionService from "@/services/subscriptionService";
import SpecialistPlan from "@/components/specialists/SpecialistPlan";
import ClientPlan from "@/components/clients/ClientPlan";
import CompanyService from "@/services/companyService";

export default {
  name: "Plan",

  components: {
    SpecialistPlan,
    ClientPlan,
  },

  data: () => ({
    subscription: {
      plan: {
        name: "",
      },
    },
    clientType: "",
  }),

  created() {
    this.getProfile();
    this.getCompany();
  },

  mounted() {
    this.isLoading = false;
  },

  methods: {
    getCompany() {
      CompanyService.getCompanyProfile()
        .then((company) => (this.clientType = this._.get(company, "type")))
        .catch((err) => console.log(err));
    },
    getProfile() {
      SubscriptionService.getCurrentUserSubscription()
        .then((subscription) => {
          this.subscription = subscription;
        })
        .catch((err) => this.$log.error(err));
    },
  },
  computed: {},
};
</script>
